Bug 1107291 (gonk-L-Storage)

SD/Storage (fuse) for L on Nexus 5

RESOLVED FIXED in 2.2 S2 (19dec)

Status

defect
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: askeing, Assigned: viralwang)

Tracking

unspecified
2.2 S2 (19dec)
All
Gonk (Firefox OS)
Dependency tree / graph

Firefox Tracking Flags

(feature-b2g:2.2+)

Details

Attachments

(1 attachment, 2 obsolete attachments)

Comment hidden (empty)
(Reporter)

Updated

4 years ago
Summary: (gonk-L) [meta] SD/Storage Android L Porting → [meta] SD/Storage Android L Porting
(Reporter)

Comment 1

4 years ago
Porting SD Card module to support lollipop release
(Reporter)

Comment 2

4 years ago
SD Card doesn't work.

root@hammerhead:/ # ls -l sdcard                                               
lrwxrwxrwx root     root              1970-08-06 02:53 sdcard -> /storage/emulated/legacy
root@hammerhead:/ # ls -l /storage/emulated/legacy                             
lrwxrwxrwx root     root              1970-08-06 02:53 legacy -> /mnt/shell/emulated/0
root@hammerhead:/ # ls -l /mnt/shell/emulated/0                                
/mnt/shell/emulated/0: No such file or directory
Please have someone to check this.
Flags: needinfo?(btian)

Updated

4 years ago
Component: General → MTP/UMS
Flags: needinfo?(btian)
Restore ni? me.
Flags: needinfo?(btian)
(Reporter)

Updated

4 years ago
Blocks: gonk-L-Audio
Alphan, please help device storage L porting to solve comment 2 problem. Thanks.
Assignee: nobody → alchen
Flags: needinfo?(btian)

Updated

4 years ago
blocking-b2g: --- → 2.2?

Comment 6

4 years ago
To use feature b2g 2.2 flag instead of blocking flag
blocking-b2g: 2.2? → ---
feature-b2g: --- → 2.2+
For the current status, it is not related to B2G.
It is fuse daemon problem.
Viral will check the fuse functionality first.
(Assignee)

Updated

4 years ago
Assignee: alchen → vwang
(Assignee)

Comment 8

4 years ago
Hi Dave,

we can make fuse works fine with this patch but still meet lots of following error log every 3 seconds, shall we also need to skip it since we should not use packages.list?

E/sdcard  (  181): missing packages.list; retrying
Attachment #8535463 - Flags: review?(dhylands)
(Assignee)

Comment 9

4 years ago
Hi Dave,

I didn't find /mnt/shell/emulated/0 mounted correctly so I move it to /mnt/shell/emulated to make storage works.
Not sure it's the best way to fix this.
Attachment #8535469 - Flags: review?(dhylands)
(Reporter)

Comment 10

4 years ago
rename the summary due to it's not a meta bug.
Summary: [meta] SD/Storage Android L Porting → SD/Storage (fuse) for L on Nexus 5
I should be getting my nexus 5 next week - so I'll take a look at this then.
QA Whiteboard: [2.2-feature-qa+]
(Assignee)

Comment 12

4 years ago
in case there's anyone need storage to develop first, attach this patch for temporary use.
please apply this under "device/lge/hammerhead" to enable storage.
(Assignee)

Comment 13

4 years ago
Hi Dave,

This bug is fixed by bug 1112175.
fuse works just fine after all services work in initial process.
Now storage can work properly by volume.cfg

I will remove my patches later.
Thank you for your time :)
(Assignee)

Updated

4 years ago
Attachment #8535463 - Attachment is obsolete: true
Attachment #8535463 - Flags: review?(dhylands)
(Assignee)

Updated

4 years ago
Attachment #8535469 - Attachment is obsolete: true
Attachment #8535469 - Flags: review?(dhylands)
(Assignee)

Updated

4 years ago
Depends on: 1112175
***Current status, I can access sd card.

***step: enter adb shell

root@hammerhead:/ # ls -l sdcard
lrwxrwxrwx root root 1970-08-28 12:05 sdcard -> /storage/emulated/legacy
root@hammerhead:/ # ls -l /storage/emulated/legacy
lrwxrwxrwx root root 1970-08-28 12:05 legacy -> /mnt/shell/emulated/0
root@hammerhead:/ # ls -l /mnt/shell/emulated/0
drwxrwx--- root sdcard_r 2014-12-18 17:45 DCIM
drwxrwx--- root sdcard_r 2014-12-18 17:45 Movies
drwxrwx--- root sdcard_r 2014-12-18 17:45 Music

============build info============
[20141218] local build
Build ID 20141218151450
Gaia Revision 58734e8a48157f99d5b733412b600c2e04c954fe
Gaia Date 2014-12-18 05:21:04
Gecko Revision n/a
Gecko Version 37.0a1
Device Name hammerhead
Firmware(Release) 5.0
Firmware(Incremental) eng.askeing.20141218.150855
Firmware Date Thu Dec 18 15:10:01 CST 2014
Bootloader HHZ12d
from https://github.com/mozilla-b2g/B2G
(Reporter)

Comment 15

4 years ago
Due to the bug 1112175 was fixed, fuse is workable now.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED

Updated

4 years ago
Target Milestone: --- → 2.2 S2 (19dec)
(In reply to viral [:viralwang] from comment #8)
> Created attachment 8535463 [details] [review]
> remove /data/.layoutversion check in sdcard
> 
> Hi Dave,
> 
> we can make fuse works fine with this patch but still meet lots of following
> error log every 3 seconds, shall we also need to skip it since we should not
> use packages.list?
> 
> E/sdcard  (  181): missing packages.list; retrying

This error message keeps prompting every 3 seconds. Is it a storage issue?
Flags: needinfo?(vwang)
(Reporter)

Comment 17

4 years ago
@Hermes, It seems like the process try to access the packages.list, not the storage issue.
I think we have to open another issue for this error message.

Please feel free to correct me if I am wrong.
(Assignee)

Comment 18

4 years ago
(In reply to Hermes Cheng[:hermescheng] from comment #16)
> (In reply to viral [:viralwang] from comment #8)
> > Created attachment 8535463 [details] [review]
> > remove /data/.layoutversion check in sdcard
> > 
> > Hi Dave,
> > 
> > we can make fuse works fine with this patch but still meet lots of following
> > error log every 3 seconds, shall we also need to skip it since we should not
> > use packages.list?
> > 
> > E/sdcard  (  181): missing packages.list; retrying
> 
> This error message keeps prompting every 3 seconds. Is it a storage issue?

packages.list is used to scan apk which is not necessary in firefox os
I think we can new a bug to fix the error log, and yes, I will use the same patch :)
Flags: needinfo?(vwang)
You need to log in before you can comment on or make changes to this bug.